<?xml version="1.0" encoding="UTF-8"?>
<cfsSimulation xmlns="http://www.cfs++.org/simulation"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.cfs++.org/simulation 
https://opencfs.gitlab.io/cfs/xml/CFS-Simulation/CFS.xsd">

	<fileFormats>
		<input>
			<cdb fileName="mesh.cdb" />
		</input>

		<output>
			<hdf5 id="hdf5" />
			<text id="txt" />
		</output>

		<materialData file="mat.xml" format="xml" />
	</fileFormats>

	<domain geometryType="3d">
		<regionList>
			<region name="V_air_bot" material="air" />
			<region name="V_air_top" material="air" />
			<region name="V_takeout" material="iron-table" />
			<region name="V_sheet" material="iron-table" />
			<region name="V_coil" material="copper" />
		</regionList>

		<surfRegionList>
			<surfRegion name="S_front" />
			<surfRegion name="S_back" />
			<surfRegion name="S_mantle_x_parallel" />
			<surfRegion name="S_mantle_y_parallel" />
			<surfRegion name="S_sym" />
		</surfRegionList>
	</domain>

	<sequenceStep index="1">
		<analysis>
			<static />
		</analysis>

		<pdeList>
			<magneticEdge formulation="A">
				<regionList>
					<region name="V_air_bot" />
					<region name="V_air_top" />
					<region name="V_takeout" />
					<region name="V_sheet" />
					<region name="V_coil" />
				</regionList>
				        
                <bcsAndLoads>
          <fluxParallel name="S_mantle_x_parallel"/>
          <fluxParallel name="S_mantle_y_parallel"/>
          <fluxParallel name="S_front" />
          <fluxParallel name="S_back"/>
				</bcsAndLoads>
				
				<coilList>
					<coil id="coil_1">
						<source type="current" value="20*200" />
						<part id="c1">
							<regionList>
								<region name="V_coil" />
							</regionList>
							<direction>
								<analytic>
									<comp dof="z" value="1" />
								</analytic>
							</direction>
							<wireCrossSection area="1" />
						</part>
					</coil>
				</coilList>
        <storeResults>
        <elemResult type="magPotential">
          <allRegions/>
        </elemResult>
          <elemResult type="magFieldIntensity">
            <allRegions/>
          </elemResult>
          <elemResult type="magFluxDensity">
            <allRegions />
          </elemResult>
        </storeResults>
			</magneticEdge>
		</pdeList>
	</sequenceStep>

	<sequenceStep index="2">
		<analysis>
			<static />
		</analysis>

		<pdeList>
			<magneticEdge formulation="A">
				<regionList>
					<region name="V_air_bot" />
					<region name="V_air_top" />
					<region name="V_takeout" nonLinIds="nonlin" />
					<region name="V_sheet" nonLinIds="nonlin" />
					<region name="V_coil" />
				</regionList>
				<nonLinList>
					<permeability id="nonlin" />
				</nonLinList>
				
				        <bcsAndLoads>
				        <fluxDensity name="V_coil">
				          <comp dof="z" value="2"/>
				        </fluxDensity>
          <fluxParallel name="S_mantle_x_parallel"/>
          <fluxParallel name="S_mantle_y_parallel"/>
          <fluxParallel name="S_front" />
          <fluxParallel name="S_back"/>
        </bcsAndLoads>
        <storeResults>
        <elemResult type="magPotential">
          <allRegions/>
        </elemResult>
          <elemResult type="magFieldIntensity">
            <allRegions/>
          </elemResult>
          <elemResult type="magFluxDensity">
            <allRegions />
          </elemResult>
        </storeResults>
			</magneticEdge>
		</pdeList>
		<!-- for a non-linear system a linearSystems is mandatory: Use the Newton-method 
			(attribute 'method' in tag 'nonLinear') FixPoint is also available -->
		<linearSystems>
			<system>
				<solutionStrategy>
					<standard>
						<nonLinear logging="yes" method="newton">
							<lineSearch type="minEnergy" />
							<incStopCrit>1E-7</incStopCrit>
							<resStopCrit>1E-7</resStopCrit>
							<maxNumIters>100</maxNumIters>
						</nonLinear>
					</standard>
				</solutionStrategy>
				<solverList>
					<pardiso />
				</solverList>
			</system>
		</linearSystems>
	</sequenceStep>

</cfsSimulation>
